#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    double *nizA,*nizP,pom;
	int n;
	double suma=0;
	double max=0;
	cin>>n;
	nizA = new double [n];
	nizP = new double [n];
	for (int i=0;i<n;i++)
		cin>>nizA[i]>>nizP[i];
	for (int i=0;i<n;i++)
	{
		for (int j=0;j<n;j++)
		{
			if (nizP[j]>=nizP[i])
				suma+=nizA[j];
		}
	pom=suma*(nizP[i]/100);
	if (pom>max)
		max=pom;
	suma=0;
	}
	cout<<fixed<<setprecision(10)<<max<<endl;
	return 0;
}